rotation=`xrandr | grep 'Current rotation' | sed -e 's/Current rotation - //'`
wmakerpid=`pidof wmaker | sed -e 's/ .*$//'`


if [ -f /tmp/.norotation ] ; then
    exit 1
fi

case $1 in
    normal)
    /etc/sysconfig/clamshell/landscape.sh
    xmodmap -e 'keycode 43  = Left  Left  Home  Home'
    xmodmap -e 'keycode 44  = Up    Up    Prior Prior'
    xmodmap -e 'keycode 45  = Down  Down  Next  Next'
    xmodmap -e 'keycode 46  = Right Right End   End'
    xmodmap -e 'keycode 122 = '
    xmodmap -e 'keycode 37 = XF86Start'
    kill -USR1 $wmakerpid
    ;;
    left)
    /etc/sysconfig/clamshell/portrait.sh
    xmodmap -e 'keycode 45  = Left  Left  Home  Home'
    xmodmap -e 'keycode 43  = Up    Up    Prior Prior'
    xmodmap -e 'keycode 46  = Down  Down  Next  Next'
    xmodmap -e 'keycode 44  = Right Right End   End'
    # map E/J button to XF86Start and unmap Menu
    xmodmap -e 'keycode 122 = XF86Start'
    xmodmap -e 'keycode 37 = '
    # restart wmaker
    kill -USR1 $wmakerpid
    ;;
    inverted)
    /etc/sysconfig/clamshell/landscape.sh
    xrandr -o inverted
    xmodmap -e 'keycode 46  = Left  Left  Home  Home'
    xmodmap -e 'keycode 45  = Up    Up    Prior Prior'
    xmodmap -e 'keycode 44  = Down  Down  Next  Next'
    xmodmap -e 'keycode 43  = Right Right End   End'
    xmodmap -e 'keycode 122 = '
    xmodmap -e 'keycode 37 = XF86Start'
    kill -USR1 $wmakerpid
    ;;
    right)
    /etc/sysconfig/clamshell/portrait.sh
    xrandr -o right
    xmodmap -e 'keycode 44  = Left  Left  Home  Home'
    xmodmap -e 'keycode 46  = Up    Up    Prior Prior'
    xmodmap -e 'keycode 43  = Down  Down  Next  Next'
    xmodmap -e 'keycode 45  = Right Right End   End'
    xmodmap -e 'keycode 122 = XF86Start'
    xmodmap -e 'keycode 37 = '
    kill -USR1 $wmakerpid
    ;;
    clockwise)
    echo $rotation
    case $rotation in
	normal)
	newrotation=right
	;;
	left)
	newrotation=normal
	;;
	inverted)
	newrotation=left
	;;
	right)
	newrotation=inverted
    esac
    $0 $newrotation
    ;;
    counterclockwise)
    case $rotation in
	normal)
	newrotation=left
	;;
	left)
	newrotation=inverted
	;;
	inverted)
	newrotation=right
	;;
	right)
	newrotation=normal
    esac
    $0 $newrotation
    ;;
    flip)
    case $rotation in
	normal)
	newrotation=left
	;;
	left)
	newrotation=normal
	;;
	inverted)
	newrotation=right
	;;
	right)
	newrotation=inverted
    esac
    $0 $newrotation
    ;;
    *)
    echo "Usage: $0 normal|left|inverted|right|clockwise|counterclockwise|flip"
esac
